ruby-io-console-0.4.3-1.mga6.x86_64.rpm


Advertisement

Description

ruby-io-console - IO/Console is a simple console utilizing library

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates x86_64
Package filename ruby-io-console-0.4.3-1.mga6.x86_64.rpm
Package name ruby-io-console
Package version 0.4.3
Package release 1.mga6
Package architecture x86_64
Package type rpm
Category Development/Ruby
Homepage http://ruby-lang.org/
License Ruby or BSD
Maintainer -
Download size 17.65 KB
Installed size 16.47 KB
IO/Console provides very simple and portable access to console. It doesn't
provide higher layer features, such like curses and readline.

Alternatives

Package Version Architecture Repository
ruby-io-console-0.4.3-16.1.mga6.i586.rpm 0.4.3 i586 Mageia Core Updates
ruby-io-console-0.4.3-16.1.mga6.x86_64.rpm 0.4.3 x86_64 Mageia Core Updates
ruby-io-console-0.4.3-15.mga6.i586.rpm 0.4.3 i586 Mageia Core
ruby-io-console-0.4.3-15.mga6.x86_64.rpm 0.4.3 x86_64 Mageia Core
ruby-io-console-0.4.3-1.1.mga6.i586.rpm 0.4.3 i586 Mageia Core Updates
ruby-io-console-0.4.3-1.1.mga6.x86_64.rpm 0.4.3 x86_64 Mageia Core Updates
ruby-io-console-0.4.3-1.mga6.i586.rpm 0.4.3 i586 Mageia Core Updates
ruby-io-console - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libruby.so.2.2()(64bit) -
ruby(abi) == 2.2
ruby(rubygems) -
ruby(rubygems) >= 2.4.5.1

Provides

Name Value
ruby-io-console == 0.4.3-1.mga6
ruby-io-console(x86-64) == 0.4.3-1.mga6
rubygem(io-console) == 0.4.3
rubygem(io-console) == 0.4.3-1

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package ruby-io-console-0.4.3-1.mga6.x86_64.rpm
Source Package ruby-2.2.7-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install ruby-io-console rpm package:
    # urpmi ruby-io-console

Files

Path
/usr/lib64/ruby/io/console.so
/usr/share/gems/specifications/default/io-console-0.4.3.gemspec
/usr/share/ruby/io/
/usr/share/ruby/io/console/size.rb

Changelog

2017-08-19 - pterjan <pterjan> 2.2.7-1.mga6
+ Revision: 1141715
- Update to latest 2.2.x
- Add patches for CVE-2016-2339, CVE-2015-9096, CVE-2016-2337
2016-10-09 - pterjan <pterjan> 2.2.5-15.mga6
+ Revision: 1059716
- Add patch for CVE-2016-7798
2016-09-08 - luigiwalser <luigiwalser> 2.2.5-14.mga6
+ Revision: 1050451
- 2.2.5 (sync with f22)
2016-03-03 - umeabot <umeabot> 2.2.4-13.mga6
+ Revision: 984820
- Rebuild for openssl
+ pterjan <pterjan>
- Please perl-Youri-Package-RPM-Updater
2015-12-29 - pterjan <pterjan> 2.2.4-12.mga6
+ Revision: 916704
- Bump release for subpackages which did not change version :(
- Update to 2.2.4
- Rever the io-console change, separate gem is older
- Don't ship io-console, we have a separate package
2015-12-19 - pterjan <pterjan> 2.2.3-11.mga6
+ Revision: 912333
- Do not ship rake.rb, rdoc.rb and psych.rb in main package
2015-11-01 - pterjan <pterjan> 2.2.3-10.mga6
+ Revision: 897270
- Ship all subpackages that are not packages separately
2015-10-24 - pterjan <pterjan> 2.2.3-9.mga6
+ Revision: 895045
- Fix dependencies and disable gem subpackages
2015-10-23 - pterjan <pterjan> 2.2.3-8.mga6
+ Revision: 894524
- Avoid file conflicts
2015-10-23 - pterjan <pterjan> 2.2.3-7.mga6
+ Revision: 894486
- Force provides
- Provide the same ruby(abi) that we require

See Also

Package Description
ruby-irb-2.2.10-16.1.mga6.noarch.rpm The Interactive Ruby
ruby-irb-2.2.7-1.mga6.noarch.rpm The Interactive Ruby
ruby-irb-2.2.8-1.1.mga6.noarch.rpm The Interactive Ruby
ruby-irb-2.2.8-1.mga6.noarch.rpm The Interactive Ruby
ruby-json-1.8.3-3.1.mga6.x86_64.rpm JSON Implementation for Ruby
ruby-json-doc-1.8.3-3.1.mga6.noarch.rpm Documentation for ruby-json
ruby-ox-2.8.2-1.mga6.x86_64.rpm A fast XML parser and object serializer
ruby-ox-doc-2.8.2-1.mga6.noarch.rpm Documentation for ruby-ox
ruby-power_assert-0.2.2-1.1.mga6.noarch.rpm Power Assert for Ruby
ruby-power_assert-0.2.2-1.mga6.noarch.rpm Power Assert for Ruby
ruby-power_assert-0.2.2-16.1.mga6.noarch.rpm Power Assert for Ruby
ruby-rack-1.6.11-1.mga6.noarch.rpm A modular Ruby webserver interface
ruby-rack-doc-1.6.11-1.mga6.noarch.rpm Documentation for ruby-rack
ruby-rmagick-2.15.4-12.2.mga6.x86_64.rpm Ruby binding to ImageMagick
ruby-rmagick-doc-2.15.4-12.2.mga6.noarch.rpm Documentation for ruby-rmagick
Advertisement
Advertisement